# comment out when not pre-release
#define prel	rc2

%define fversion %{version}
%define rel	7

%define wxver		3.0.3.1
%define wxvershort	3.0

%define use_builtin_wxgtk	1
%{?_with_builtin_wxgtk: %global use_builtin_wxgtk 1}
%{?_without_builtin_wxgtk: %global use_builtin_wxgtk 0}

Summary:	Free Audio Editor With Effects/Analysis Tools
Name:		audacity
Version:	2.1.3
Release:	%mkrel %{?prel:0.2.%prel.}%{rel}
License:	GPLv2+
Group:		Sound/Editors and Converters
URL:		http://audacityteam.org/
Source0:	http://www.fosshub.com/Audacity.html/%{name}-minsrc-%{fversion}%{?prel}.tar.xz

# get WX_3_0_3_BRANCH from here: https://github.com/wxWidgets/wxWidgets.git
Source1:	https://github.com/wxWidgets/wxWidgets/releases/download/v%{wxver}/wxWidgets-%{wxver}.tar.bz2
Patch0:		audacity-2.0.1-desktopentry.patch
#gw use Alsa by default
Patch6:		audacity-2.0.4-alsa-by-default.patch
#
Patch7:		audacity-2.1.3-wxgtk%{wxvershort}.patch
Patch8:		audacity-2.1.3-l10n-it-fixtypo.patch
Patch9:		audacity-2.1.3-widgets-create-room.patch

# Patches from git (See https://github.com/audacity/audacity)
Patch1006:	0006-Ffix-wx-assert-in-debug-build.patch

# Patch from Ubuntu
Patch1007:	audacity-2.1.2-workaround-wxwidgets-fit-recovery.patch
#
# [gghibo] Fix GUI, the combobox where there is "Project Rate" on bottom of the screen.
Patch1008:	audacity-2.1.3-wxwidgets-fix-gui-projectrate.patch
#
BuildRequires:	autoconf2.5
BuildRequires:	fftw-devel >= 2.1.4
BuildRequires:	gettext-devel
BuildRequires:	imagemagick
BuildRequires:	libalsa-devel
BuildRequires:	libflac++-devel
BuildRequires:	libjack-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel
BuildRequires:	libogg-devel
BuildRequires:	cmake
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	soundtouch-devel >= 1.3.0
BuildRequires:	speex-devel
BuildRequires:	twolame-devel
BuildRequires:	wxgtku3.0-devel
BuildRequires:	zlib-devel
BuildRequires:	vamp-plugin-sdk-devel
BuildRequires:	libexpat-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	portaudio-devel
BuildRequires:	lv2-devel 
BuildRequires:	suil-devel
BuildRequires:	lilv-devel
#for compressing the help file:
BuildRequires:	zip

%if %{use_builtin_wxgtk}
BuildRequires:	bakefile
BuildRequires:  jpeg-devel
BuildRequires:  tiff-devel
BuildRequires:  expat-devel
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(webkitgtk-3.0)
BuildRequires:  pkgconfig(libgnomeprintui-2.2)
BuildRequires:  pkgconfig(libmspack)
BuildRequires:  pkgconfig(libnotify) >= 0.7
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(zlib)
BuildRequires:	gtk3-devel
%endif

Recommends:	%mklibname lame 0

%description
Audacity is a program that lets you manipulate digital audio waveforms.

In addition to letting you record sounds directly from within the program,
it imports many sound file formats, including WAV, AIFF, MP3 and Ogg/Vorbis.
It supports all common editing operations such as Cut, Copy, and Paste, plus
it will mix tracks and let you apply plug-in effects to any part of a sound.
It also has a built-in amplitude envelope editor, a customizable spectrogram
mode and a frequency analysis window for audio analysis applications.

%prep
%setup -q -n %{name}-minsrc-%{fversion} -a 1
#patch0 -p1 -b .desktopentry
%patch6 -p1 -b .alsa-by-default
%patch7 -p1 -b .wx31
%patch8 -p1 -b .fixita
%patch9 -p1 -b .room
%patch1006 -p1
%patch1007 -p1
%patch1008 -p1

chmod 644 *.txt
aclocal -I m4
autoconf

pushd lib-src/lib-widget-extra
aclocal -I m4
autoconf
popd

%if %{use_builtin_wxgtk}
(cd wxWidgets-%{wxver}
 aclocal --force -I $PWD/build/aclocal
 autoconf -f
 libtoolize --copy --force
 CFLAGS="%{optflags} -fno-strict-aliasing" \
 CXXFLAGS="%{optflags} -fno-strict-aliasing" \
 ./configure \
   --prefix=$PWD/../%{name}_binlibs \
   --with-gtk=3 \
   --disable-shared \
   --enable-monolithic \
   --with-libpng=sys \
   --with-libjpeg=sys \
   --with-libtiff=sys \
   --with-zlib=sys \
   --with-expat=sys \
   --with-regex=builtin \
   --with-libmspack
 make -j $(nproc)
 make install
)
%endif

%build
%if %{use_builtin_wxgtk}
export PATH=$PWD/%{name}_binlibs/bin:$PATH
%endif

%configure2_5x \
%if %{use_builtin_wxgtk}
    --enable-static-wx --with-wx-version=%{wxvershort} \
%endif
    --enable-unicode \
    --with-ffmpeg=system \
    --disable-dynamic-loading \
    --with-vorbis=system \
    --with-libmad=system \
    --with-libsndfile=system \
    --with-id3tag=system \
    --with-soundtouch=system \
    --with-portaudio=system \
    --with-lv2=system \
%ifnarch %ix86 x86_64
    --enable-sse=no \
%endif
    --with-libtwolame=system
%make_build

%install
%make_install

%find_lang %{name}

#clean uneeded installed but not packaged
rm -rf %{buildroot}%{_docdir}/*

#gw work around bug #52526
mkdir -p %{buildroot}%{_datadir}/%{name}/help/manual

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}.1*
%{_datadir}/appdata/audacity.appdata.xml


%changelog
* Fri Jun 09 2017 ghibo <ghibo> 2.1.3-7.mga6
+ Revision: 1107396
- Really apply Patch8.

* Thu Jun 08 2017 ghibo <ghibo> 2.1.3-6.mga6
+ Revision: 1107337
- Fix GUI ComboBox below "Project Rate" in the main window on the bottom of the screen.
- Merged Patch from Ubuntu to fix text fitting problems on recovery dialog window.

* Sat Jun 03 2017 ghibo <ghibo> 2.1.3-5.mga6
+ Revision: 1106196
- Update wxWidgets to release 3.0.3.1, in sync with system one
- Sync internal wxWidgets to 3.0.3.1, same as system one

* Sat Jun 03 2017 akien <akien> 2.1.3-4.mga6
+ Revision: 1106083
- Rebuild for wxgtk 3.0.3.1

* Tue May 02 2017 akien <akien> 2.1.3-3.mga6
+ Revision: 1098267
- Rebuild for ffmpeg 3.3

* Wed Mar 29 2017 ghibo <ghibo> 2.1.3-2.mga6
+ Revision: 1095245
+ rebuild (emptylog)

* Mon Mar 27 2017 ghibo <ghibo> 2.1.3-1.10.mga6
+ Revision: 1094933
- Use bundled wxwidgets 3.0.3-git, linked to gtk3 (added conditional build flag for this).
- Added Patch8 (fix typo in italian po files).
- Added Patch9 to create enough room for string requester to avoid charecters out of the string box.
- Backport Patch1006 from current git release (fixes wx assert in debug build).

* Wed Mar 08 2017 akien <akien> 2.1.2-4.mga6
+ Revision: 1089837
- Rebuild for ffmpeg 3.2.4

* Thu Jun 02 2016 daviddavid <daviddavid> 2.1.2-3.mga6
+ Revision: 1019806
- rebuild for wxgtk3.0 built with GTK2

* Sun May 29 2016 zezinho <zezinho> 2.1.2-2.mga6
+ Revision: 1019312
- rebuild against current gtk to try to fix display glitches

* Thu Jan 21 2016 luigiwalser <luigiwalser> 2.1.2-1.mga6
+ Revision: 926252
- 2.1.2 final

  + wally <wally>
    - update URL

* Sun Jan 03 2016 daviddavid <daviddavid> 2.1.2-0.2.rc2.1.mga6
+ Revision: 918922
- new version: 2.1.2_rc2
- fix release tag

* Sat Jan 02 2016 luigiwalser <luigiwalser> 2.1.2-0.2.rc1.mga6
+ Revision: 918465
- rebuild for soundtouch

* Mon Dec 21 2015 zezinho <zezinho> 2.1.2-0.1.rc1.mga6
+ Revision: 913163
- new version
- new version

* Wed Sep 16 2015 shlomif <shlomif> 2.1.1-2.mga6
+ Revision: 879984
- Rebuild for new gcc and wxgtk2.8

* Thu Sep 10 2015 zezinho <zezinho> 2.1.1-1.mga6
+ Revision: 875724
- new version 2.1.1

* Fri Nov 14 2014 cjw <cjw> 2.0.6-2.mga5
+ Revision: 796924
- rebuild for ffmpeg 2.4

* Thu Oct 23 2014 cjw <cjw> 2.0.6-1.mga5
+ Revision: 792547
- 2.0.6
- drop patches 8,10,11: fixed upstream
- enable ffmpeg
- use system portaudio and lv2

* Wed Oct 15 2014 umeabot <umeabot> 2.0.5-5.mga5
+ Revision: 747556
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.5-4.mga5
+ Revision: 678040
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

  + fwang <fwang>
    - try build with system ffmpeg

* Tue Mar 04 2014 zezinho <zezinho> 2.0.5-2.mga5
+ Revision: 599570
- bump release to be upper than MGA4 update

* Mon Mar 03 2014 zezinho <zezinho> 2.0.5-1.mga5
+ Revision: 598889
- new version

* Sat Oct 19 2013 umeabot <umeabot> 2.0.4-3.mga4
+ Revision: 534214
- Mageia 4 Mass Rebuild

* Mon Sep 09 2013 fwang <fwang> 2.0.4-2.mga4
+ Revision: 476575
- disable ffmpeg build

* Mon Sep 09 2013 fwang <fwang> 2.0.4-1.mga4
+ Revision: 476570
- more linkage fix
- another link fix
- new version 2.0.4

* Sun Apr 07 2013 rtp <rtp> 2.0.3-2.mga3
+ Revision: 408953
- disable sse build on non x86

* Wed Mar 27 2013 dams <dams> 2.0.3-1.mga3
+ Revision: 405757
- new version 2.0.3

* Tue Feb 12 2013 fwang <fwang> 2.0.2-4.mga3
+ Revision: 398017
- disable ffmpeg build till upstream fix building with recent ffmpeg
- build with ffmpeg (bug#9043)

* Fri Jan 11 2013 umeabot <umeabot> 2.0.2-3.mga3
+ Revision: 346578
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 zezinho <zezinho> 2.0.2-2.mga3
+ Revision: 318978
- change group

  + fwang <fwang>
    - drop old requires

* Sat Aug 25 2012 fwang <fwang> 2.0.2-1.mga3
+ Revision: 283781
- new version 2.0.2

* Fri Jun 29 2012 fwang <fwang> 2.0.1-1.mga3
+ Revision: 264845
- update brs
- new version 2.0.1

* Wed Apr 18 2012 dams <dams> 2.0.0-1.mga2
+ Revision: 231438
- new version 2.0.0
- rediff patch

* Tue Jan 24 2012 zezinho <zezinho> 1.3.14-1.mga2
+ Revision: 200651
- patch to link to pthread
- patch to fix ffmpeg
- patch to fix gtypes
- rediff patch
- new version

* Mon Sep 19 2011 fwang <fwang> 1.3.13-2.mga2
+ Revision: 145289
- fix build with latest ffmpeg
- rebuild for new libpng

* Tue Jun 07 2011 ahmad <ahmad> 1.3.13-1.mga2
+ Revision: 101629
- Update to 1.3.13
- Rediff the desktopentry patch
- Drop patch1,11
- Update configure options (just '--with-portaudio' works)

* Tue Mar 08 2011 ennael <ennael> 1.3.12-3.mga1
+ Revision: 66674
- clean spec file
- imported package audacity

